org.apache.commons.ssl

## Class Ping.Arg

- java.lang.Object
- - org.apache.commons.ssl.Ping.Arg

All Implemented Interfaces:
  java.lang.Comparable

Enclosing class:
  Ping

    public static class Ping.Arg
    extends java.lang.Object
    implements java.lang.Comparable

### Field Summary

Fields
`java.lang.String` `description`
`private int` `id`
`boolean` `isRequired`
`java.lang.String` `longArg`
`java.lang.String` `shortArg`

### Constructor Summary

Constructors
Constructor and Description
`Ping.Arg(java.lang.String s, java.lang.String l, java.lang.String d)`
`Ping.Arg(java.lang.String s, java.lang.String l, java.lang.String d, boolean isRequired)`

### Method Summary

Methods
`int` `compareTo(java.lang.Object o)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### shortArg

    public final java.lang.String shortArg

#### longArg

    public final java.lang.String longArg

#### description

    public final java.lang.String description

#### isRequired

    public final boolean isRequired

#### id

    private final int id

### Constructor Detail

#### Ping.Arg

    public Ping.Arg(java.lang.String s,
            java.lang.String l,
            java.lang.String d)

#### Ping.Arg

    public Ping.Arg(java.lang.String s,
            java.lang.String l,
            java.lang.String d,
            boolean isRequired)

### Method Detail

#### compareTo

    public int compareTo(java.lang.Object o)

Specified by:
  `compareTo` in interface `java.lang.Comparable`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`